Skip to content

Resting & Using Items

Resting allows you to fully recover your hit points. The cooldown is 1 second per 1% of missing HP (rounded up), with a minimum of 3 seconds.

For example, if your character has lost 50% of their HP, the cooldown will be 50 seconds.

You can rest by using this request:

Endpoint: POST /my/{name}/action/rest

curl --request POST \
--url https://api.artifactsmmo.com/my/{name}/action/rest \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \

You can use all items categorized as consumable.

There are several types of consumables:

KeywordCondition
HealRestores x health points to your character.
GoldAdds x gold to your character’s inventory.
TeleportTeleport to Map ID: x

To use an item, your character must meet all the item’s conditions. Conditions use the ConditionSchema logic, which can reference any character stat (e.g., level, mining_level, hp, etc.) using various operators:

OperatorMeaning
eqEqual to
neNot equal to
gtGreater than
ltLess than

Here are some examples of consumables:

Loading items...

You can use an item by using this request.

Endpoint: POST /my/{name}/action/use

curl --request POST \
--url https://api.artifactsmmo.com/my/{name}/action/use \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"code": "string",
"quantity": 1
}'
FieldDescription
codeThe consumable item code to use.
quantityNumber of items to use.